<?php
/**
 * Exception
 * @package     Me
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Me_Exception extends Exception
{

    /**
     * コンストラクタ
     * @param integer $code エラーコード
     * @param array $replace_text_list メッセージに置換する文字列
     * @param Exception $preious
     */
    public function __construct($code = 1, $replace_text_list = array(), Exception $previous = null)
    {
        // エラーメッセージリソースを読み込む
        $error_messages = Me_Util::read_var_file('def/message/ja/error.php');
        $message = $error_messages[$code];

        // escape
        $replace_text_list = Me_Util::html_escape($replace_text_list);

        // 文字列置換
        $message = vsprintf($message, $replace_text_list);
        parent::__construct($message, $code);
    }

    /**
     * エラー表示
     * @param boolean $show_more
     */
    public function output($show_more = false)
    {
        $more = '';
        // バックトレース
        if ($show_more) {
            $trace = array();
            $trace[] = array(
                'file' => Me_Util::get_relative_path(APP_ROOT, $this->getFile()),
                'line' => $this->getLine(),
            );
            foreach ($this->getTrace() as $item) {
                $item['file'] = Me_Util::get_relative_path(APP_ROOT, $item['file']);
                unset($item['args']);
                unset($item['type']);
                $trace[] = $item;
            }
        }

        $code = $this->code;
        $message = $this->message;

        // エラー画面をインクルードする
        include('views/Common/error.php');
    }
}