<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>環境確認 - MicroEngine インストーラー</title>
<link href="../../app/assets/css/me_install.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<script src="../../app/assets/js/me.install.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.install.checkDataAccess();
    $('#navi_env_check').addClass('install_navi_now');
});
//-->
</script>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>
<div class="main">
<?php h::render('/Install/install_navi.php') ?>
<hr>
<p>
<img src="../../app/assets/images/silk/zoom.png" width="16" height="16" alt="zoom">
書き込み権限確認<br>
以下のファイルは、Webサーバーの実行ユーザーに書き込み権限が与えられている必要があります。
</p>
<div class="env_check_result">
<?php foreach ($check_files as $key => $val): ?>
<?php     if ($val): ?>
<img src="../../app/assets/images/silk/accept.png" width="16" height="16" alt="accept">
権限有り：
<?php h::p($key) ?><br>
<?php     else: ?>
<img src="../../app/assets/images/silk/exclamation.png" width="16" height="16" alt="exclamation">
権限なし：
<?php h::p($key) ?><br>
Webサーバーの実行ユーザーに書き込み権限を与えてください。<br>
<?php     endif; ?>
<?php endforeach; ?>
</div>
<hr>

<p>
<img src="../../app/assets/images/silk/zoom.png" width="16" height="16" alt="zoom">
data ディレクトリ配下に外部からのアクセスをブロックできているか？
</p>
<div class="env_check_result">
<div id="check_access_app_checking"><img src="../../app/assets/images/silk/hourglass.png" width="16" height="16" alt="checking">確認中...</div>
<div id="check_access_app_protected" class="hidden">
<img src="../../app/assets/images/silk/accept.png" width="16" height="16" alt="accept"> ブロックできている<br>
アクセス確認ファイル：<a href="../../data/db/index.html" target="_blank">../../data/db/index.html</a>へのアクセスをブロックできていることを確認しました。
</div>
<div id="check_access_app_accessible" class="hidden">
<img src="../../app/assets/images/silk/exclamation.png" width="16" height="16" alt="exclamation"> ブロックできていない<br>
data ディレクトリ配下に外部からアクセスできます。<br>
アクセス確認ファイル：<a href="../../data/db/index.html" target="_blank">../../data/db/index.html</a>へアクセスできることを確認しました。
data ディレクトリをDocument Root配下ではない場所に移動するか、サーバーの設定を見直して、data ディレクトリ配下にアクセスできないようにしてください。
</div>
</div>
<hr>

<p>
<img src="../../app/assets/images/silk/zoom.png" width="16" height="16" alt="zoom">
必要なモジュールが有効かどうか？
</p>
<div class="env_check_result">
<?php foreach ($module_loaded as $module_name => $result): ?>
<div>
<?php if($result): ?>
    <img src="../../app/assets/images/silk/accept.png" width="16" height="16" alt="accept"> <?php h::p($module_name) ?>：有効
<?php else: ?>
<img src="../../app/assets/images/silk/exclamation.png" width="16" height="16" alt="exclamation"> <?php h::p($module_name) ?>：無効<br>
サーバー設定を見直すか必要なモジュールをインストールして、<?php h::p($module_name) ?> を有効にしてください。
<?php endif; ?>
</div>
<?php endforeach; ?>
</div>
<hr>

<p>
もし、<img src="../../app/assets/images/silk/exclamation.png" width="16" height="16" alt="exclamation">マークが表示された場合は、対策を実施してください。<br>
対策後に、このページをリロードして、<img src="../../app/assets/images/silk/exclamation.png" width="16" height="16" alt="exclamation">マークが表示されないことを確認してから次に進んでください。
</p>

<hr>
<button type="button" class="install_button" onclick="location.href='../Install/index';">戻る</button>
<button type="button" class="install_button" onclick="location.href='../Install/system_setting';">次へ</button>

</div>
<?php h::render('/Common/footer.php') ?>
</body>
</html>